Subject: Re: Acacia seeds (fwd)

From: [email-masked] (Victor Guest)
Date: Tue, 18 Oct 1994 18:26:17 WST

>A lot of Australian native plants are listed in the latest Kimseed catalogue
>
>	KIMSEED
>	Australian Revegetation Corp.
>	42 Sarich Court
>	Osborne Park WA 6017 
>	Australia
>
>Phone +61 (0)9 446 4377		Fax +61 (0)9 446 3444
>
>The latest copy I've received arrived in late June this year.  There are some
>250 species of _Acacia_ listed.
>
>Prices for _A. auriculiformis_ are 	AUD190.00/kg, AUD9.50 per 25 g
>       for _A. mangium_ they are	AUD440.00/kg, AUD22.00 per 25 g
>
>Cheers,  Ian S.
>
>

Steve Hill from Kimseeds is an old friend. I'll see him tomorrow and we 
will try to get the Catalogue onto our web server.
 I'll try for an E-Mail address as well.

Regards,
          Vic
--
Victor Guest   V.G.Guest                      Perth, Western Australia
[email-masked]                         3 McKee Plce Kingsley. 6026
                ----: Sustainable Agriculture :----   Tel. (09) 3092108
--: The Land Management Society & The Permaculture Association:----